%define name 	oooqs2
%define version 1.0.1
%define release %mkrel 1

Summary:	A KDE quickstarter applet for OpenOffice.org
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.berlios.de/segfaultskde/%{name}-%{version}.tar.gz
Source1:	oooqsrc2
Patch0:		oooqs2-1.0.1-detect.patch
Patch1:		oooqs2-1.0-qt3.patch
Group:		Office
License:	GPLv2+
URL:		http://segfaultskde.berlios.de/index.php?content=oooqs2
BuildRequires:	qt3-devel
BuildRequires:	kdelibs-devel
Requires:	openoffice.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Openoffice.org2 Quickstarter is a small application that runs in the KDE
SystemTray. It is used to quickly start the different OpenOffice.org 
modules without having to go through the K-Menu.

%prep
%setup -q
%patch0 -p1 -b .detect20
%patch1 -p1 -b .qt3

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%build 
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}/%{_datadir}/config/
install -m644 %{SOURCE1} %{buildroot}/%{_datadir}/config/
find %{buildroot}/%{_datadir}/icons -name '*.xpm' -exec rm -f {} \;

# Fix help symlink:
for i in en de; do 
  mkdir -p %{buildroot}/%{_datadir}/doc/HTML/$i/common
( cd %{buildroot}/%{_datadir}/doc/HTML/$i/oooqs2/
ln -sf ../common
)
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_docdir}/HTML/*/oooqs2/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/kde/oooqs2.desktop
%{_datadir}/autostart/*
%config(noreplace) %{_datadir}/config/oooqsrc2




%changelog
* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 58920
- clean file list
- update fd.o icon cache in %%post
- drop old menu and icons
- clean description, remove irrelevant info
- use Fedora license policy, specify as GPLv2+ (as stated in headers)
- rediff patch0
- new release 1.0.1


* Mon Mar 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.0-2mdv2007.1
+ Revision: 146468
- Unbzip2 patches.
- Added Patch1 for qt3 detecting.
- Call autoconf.
- Rebuilt.
- Import oooqs2

* Thu Mar 02 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.0-1mdk
- New release 1.0 for openoffice.org2.
- Added Patch0.

* Tue Sep 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-5mdk
- Fix build for x86_64

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 2.0.3-4mdk 
- rebuild for new gcc

